/* This file is part of guile-with-graphics, a graphic library for Guile

Copyright (C) 2008, 2009  Luca Saiu
Based on turtle, by Luca Saiu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdbool.h>
#include "sdl.h"
#include "guilesdl.h"


int main(int argc, char **argv){
  /* Initialize the turtle graphics... */
  game_initialize_guile_support();
  
  /* ...and leave the contol to Guile; if there are command line
     parameters a file will be executed, otherwise here comes the
     Guile Read-Eval-Print Loop, of course extended with turtle-graphics
     primitives: */
  scm_shell(argc, argv);
  
  /* We're done: */
  game_finalize_graphics();
  return EXIT_SUCCESS;
}
